<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_1be4a86ec54058894c0dc8eeb44bf6" . "5a" => base64_decode("Y29tbW9uLnR5cGUuc" . "HViX3BhZ2Vz"), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1z" . "Zw=="), "_9f55fef472b741cb222ce4503e90" . "012a" => base64_decode("cHViX3B" . "hZ2U="), "_bdf46cfa1" . "aba0af38c9" . "a9fa98dfd8" . "31b" => base64_decode("YXBwX" . "3B1Ym" . "xpc2g" . "="));
use Claromentis\Publish\PublishApplication as PublishPublishApplication;
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9f55fef472b741cb222ce4503e9001" . "2a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1be4a86ec54058894c0d" . "c8eeb44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bdf46cfa1aba0" . "af38c9a9fa98df" . "d831b"];
    }
    public function GetIcon() : string
    {
        return PublishPublishApplication::APPLICATION_SVG_URL;
    }
}